Loading...
Searching...
No Matches
Extrema< VecT, 1 >::Pair Struct Reference

`#include <nanovdb/util/GridStats.h>`

## Public Member Functions

| Pair (Real s)
| Pair (const VecT &v)
Pair & | operator= (const Pair &)=default
bool | operator< (const Pair &rhs) const

## Public Attributes

Real | scalar
VecT | vector

## Constructor & Destructor Documentation

## Pair() [1/2]

template<typename VecT>

Pair | ( | Real | s | ) |

inline

## Pair() [2/2]

template<typename VecT>

Pair | ( | const VecT & | v | ) |

inline

## Member Function Documentation

## operator<()

template<typename VecT>

bool operator< | ( | const Pair & | rhs | ) | const

inline

## operator=()

template<typename VecT>

Pair & operator= | ( | const Pair & |  | ) |

default

## Member Data Documentation

## scalar

template<typename VecT>

Real scalar

## vector

template<typename VecT>

VecT vector